org.springframework.jdbc.core

## Class BatchUpdateUtils

- java.lang.Object
- - org.springframework.jdbc.core.BatchUpdateUtils

- Direct Known Subclasses:
    NamedParameterBatchUpdateUtils

      public abstract class BatchUpdateUtils
      extends Object

  Generic utility methods for working with JDBC batch statements. Mainly for internal use within the framework.
  Author:
    Thomas Risberg

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchUpdateUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int[]` | `executeBatchUpdate(String sql, List<Object[]> batchValues, int[] columnTypes, JdbcOperations jdbcOperations)`
    `protected static void` | `setStatementParameters(Object[] values, PreparedStatement ps, int[] columnTypes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchUpdateUtils

          public BatchUpdateUtils()

  - ### Method Detail

    - #### executeBatchUpdate

          public static int[] executeBatchUpdate(String sql,
                                 List<Object[]> batchValues,
                                 int[] columnTypes,
                                 JdbcOperations jdbcOperations)

    - #### setStatementParameters

          protected static void setStatementParameters(Object[] values,
                                    PreparedStatement ps,
                                    int[] columnTypes)
                                                throws SQLException

      Throws:
        `SQLException`